## org.springframework.expression.spel.ast
Class LongLiteral

    java.lang.Object
      org.springframework.expression.spel.ast.SpelNodeImpl
          org.springframework.expression.spel.ast.Literal
              org.springframework.expression.spel.ast.LongLiteral

All Implemented Interfaces:
  SpelNode

    public class LongLiteral

extends Literal

Expression language AST node that represents a long integer literal.

Since:
  3.0
Author:
  Andy Clement

Field Summary

Fields inherited from class org.springframework.expression.spel.ast.Literal
`literalValue`

Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`children, pos`

Method Summary
`TypedValue` `getLiteralValue()`

Methods inherited from class org.springframework.expression.spel.ast.Literal
`getIntLiteral, getLongLiteral, getRealLiteral, getValueInternal, toString, toStringAST`

Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, isWritable, nextChildIs, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLiteralValue

    public TypedValue getLiteralValue()

  Specified by:
    `getLiteralValue` in class `Literal`